jira = { widget : { } }

jira.widget.Dialog = function(ev, url, id, dialogTitle)
{
    dialogTitle = dialogTitle || "";
    
    // cancel the click
    ev = YAHOO.util.Event.getEvent(ev);
    YAHOO.util.Event.stopEvent(ev);

    var centerDialog = function(dialog, contentId)
    {
        var dialogW = dialog.element.offsetWidth;
        var dialogH = dialog.element.offsetHeight;

        var chromeW = dialogW - dialog.body.offsetWidth;
        var chromeH = dialogH - dialog.body.offsetHeight;

        var vpW = YAHOO.util.Dom.getViewportWidth();
        var vpH = YAHOO.util.Dom.getViewportHeight();

        var vp80W = Math.floor(vpW * 0.8); // 80%
        var vp80H = Math.floor(vpH * 0.8); // 80%

        var contentE = document.getElementById(contentId);
        if (dialogW > vp80W)
        {
            contentE.style.overflowX = "auto";
            contentE.style.width = (vp80W - chromeW) + "px";
            dialog.cfg.setProperty("width", vp80W + "px");
        }
        if (dialogH > vp80H)
        {
            contentE.style.overflowY = "auto";
            contentE.style.height = (vp80H - chromeH) + "px";
            dialog.cfg.setProperty("height", vp80H + "px");
        }
        // now center the dialog inside the view port
        dialogW = dialog.element.offsetWidth;
        dialogH = dialog.element.offsetHeight;
        var xy = [
            Math.floor((vpW - dialogW) / 2),
            Math.floor((vpH - dialogH) / 2)
        ];
        dialog.cfg.setProperty("xy", xy);
    }

    var handleCancel = function()
    {
        dialog.cancel();
        dialog.form = null;      // bug in YUI here
        dialog.destroy();
    }    

    var dialogEffect = [
         //{effect:YAHOO.widget.ContainerEffect.FADE,duration:0.2}
         //{effect:YAHOO.widget.ContainerEffect.SLIDE,duration:0.5}
     ]

    var dialog = new YAHOO.widget.Dialog(id, {
        //fixedcenter : true,
        constraintoviewport : true,
        visible : false,
        close : true,
        modal : true,
        draggable : true,
        underlay : "shadow",
        //effect : dialogEffect,
        buttons : [ {
            text:"Cancel",
            handler:handleCancel
        }]
    });

    var pageLoadCallback = {
        success :  function(response)
        {
            dialog.setHeader(dialogTitle);

            var contentId = id + "Content";
            var s = '<table><tr><td><div id="' + contentId + '" class="dialog-content">';
            s += response.responseText;
            s += '</div></td></tr></table>';

            dialog.setBody(s);
            dialog.render(document.body);
            //
            // CSS overrides.  We add a class jira-dialog and then this allows use to overrride
            // the base YUI containr CSS names is  amore generic way then purely id based CSS overrrides
            //  But because YUI generates the outer element, we need to wait until its built before we can
            // actually apply the class
            YAHOO.util.Dom.addClass(dialog.element, "jira-dialog");
            //
            // YUI puts styles on the buttons that we dont want. So lets remove them
            var buttonGroups = YAHOO.util.Dom.getElementsByClassName("button-group","",dialog.footer);
            for (var x in buttonGroups) {
                YAHOO.util.Dom.replaceClass(buttonGroups[x], "button-group", "jira-button-group");
            }

            centerDialog(dialog, contentId);
            
            dialog.show();
        },

        failure : function(response)
        {
            dialog.setHeader("Page Could Not Be Loaded : " + url);
            dialog.setBody(response.status + " " + response.statusText);
            dialog.render(document.body);
            dialog.show();
        }
    };
    var asynchGET = YAHOO.util.Connect.asyncRequest('GET', url, pageLoadCallback);

    return {
        close : function()
        {
            dialog.close();
        }
    };
}

