<%@ page import="com.atlassian.jira.web.component.DashboardPageConfigUrlFactoryImpl" %>
<%@ page import="com.atlassian.jira.web.component.DashboardPageWebComponent" %>
<%@ page import="com.atlassian.seraph.auth.DefaultAuthenticator" %>
<%@ page import="com.opensymphony.user.User" %>
<%@ page import="webwork.action.ActionContext" %>
<%@ page import="java.util.List" %>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
	<head>
		<title>
            <webwork:property value="currentPortalPage/name" />
        </title>
    </head>
	<body>

    <table id="dashboard_tabs" cellpadding="2" cellspacing="0" border="0" width="100%" align="center" style="border-bottom: 1px solid #bbb;">
    <tr>
        <webwork:if test="/displayPages/size > 1">
            <%-- When there are page tabs visible, increase the margin of the containing table, to distance it from
            the JIRA title text above --%>
            <style type="text/css">
                #dashboard_tabs {
                    margin-top: 5px;
                }
            </style>

            <webwork:iterator value="/displayPages">
                <webwork:if test="/currentPageId == ./id">
                    <td class="pageTabSelected">&nbsp;<webwork:property value="name" />&nbsp;</td>
                </webwork:if>
                <webwork:else>
                    <td class="pageTab">&nbsp;<a href="Dashboard.jspa?selectPageId=<webwork:property value="./id" />"><webwork:property value="name" /></a>&nbsp;</td>
                </webwork:else>
            </webwork:iterator>
        </webwork:if>

    	<td align="right" style="white-space: nowrap; width: 100%">
            &nbsp;
            <webwork:if test="remoteUser != null">
                <font size="1">
                    <webwork:if test="/configureAllowed == true">
                        <b><webwork:text name="'dashboard.configure'"/>:</b>
                        <webwork:if test="/configuring == true">
                            <span id="configure_on" style="color: darkgreen; font-weight: bold;"><webwork:text name="'dashboard.configure.on'"/></span> |
                            <a id="configure_off" href="Dashboard.jspa?configuring=false&selectPageId=<webwork:property value="/currentPageId"/>"><webwork:text name="'dashboard.configure.off'"/></a>
                        </webwork:if>
                        <webwork:else>
                            <a id="configure_on" href="<webwork:property value="/configureOnUrl"/>"><webwork:text name="'dashboard.configure.on'"/></a> |
                            <span id="configure_off" style="color: darkred; font-weight: bold;"><webwork:text name="'dashboard.configure.off'"/></span>
                        </webwork:else>
                        &nbsp;
                    </webwork:if>
                    <a id="manage_dashboard" href="<webwork:property value="/manageDashboardUrl"/>"><webwork:text name="'portal.configure'" /></a>
                </font>
            </webwork:if>
        </td>
    </tr>
    </table>

    <webwork:if test="/warningMessage != null && /warningMessage/length != 0"><div id="dashmsg" class="noteBox" style="width:70%; margin:25px auto; padding: 10px 10px 10px 35px; background-position: 15px; ">
        <webwork:property value="/warningMessage" escape="false"/>
    </div></webwork:if>

    <webwork:if test="/configuring == true">
    <table cellpadding="5" cellspacing="0" border="0" width="100%" align="center" style="margin: 5px 0 0 0;">
    <tr><td align="right">
        <span style="border: 1px solid #cc9; background: #ffc; padding: 5px;">
            <a href="AddPortlet!default.jspa?destination=dashboard&portalPageId=<webwork:property value="/currentPageId"/>"><img src="<%= request.getContextPath() %>/images/icons/add_16.gif" width="16" height="16" align="absmiddle" border="0" alt="<webwork:text name="'dashboard.addportlet'"/>"></a>
            <a id="add_portlet" href="AddPortlet!default.jspa?destination=dashboard&portalPageId=<webwork:property value="/currentPageId"/>"><webwork:text name="'dashboard.addportlet'"/></a>
        </span>
    </td></tr>
    </table>
    </webwork:if>

    <webwork:property value="/currentPageId" id="cpid"/>
    <webwork:property value="/configuring" id="editmode"/>
    <webwork:property value="/selectedPortletsList" id="selectedportlets"/>
    <%
        final Long dashboardPageId = (Long) request.getAttribute("cpid");
        final boolean editMode = ((Boolean) request.getAttribute("editmode")).booleanValue();
        User user = (User) ActionContext.getSession().get(DefaultAuthenticator.LOGGED_IN_KEY);
        DashboardPageConfigUrlFactoryImpl urlFactory = new DashboardPageConfigUrlFactoryImpl(dashboardPageId);
        List selectedPortlets = (List /*<Long>*/) request.getAttribute("selectedportlets");
        DashboardPageWebComponent.Configuration configuration = new DashboardPageWebComponent.Configuration(editMode, true);
    %><%= new DashboardPageWebComponent(user).getHtml(dashboardPageId, urlFactory, selectedPortlets, configuration) %>
	</body>
</html>
